mime.MimeMessage Class Reference

Enhance email.message.Message. More...

Inheritance diagram for mime.MimeMessage:

## Public Member Functions

| __init__ (self, fp=None, seekable=1)
| get_param (self, param, failobj=None, header='content-type', unquote=True)
| getparams (self)
| getname (self)
| getnames (self, scan_zip=False)
| ismodified (self)
| dump (self, file, unixfrom=False)
| as_bytes (self, unixfrom=False)
| getencoding (self)
| decode (self, filt)
| get_payload_decoded (self)
| __setitem__ (self, name, value)
| __delitem__ (self, name)
| get_payload (self, i=None, decode=False)
| set_payload (self, val, charset=None)
| get_submsg (self)

## Public Attributes

| submsg = None
bool | modified = False

## Static Public Attributes

self.headerchange(self, name, str(value)) | headerchange
| Provide a headerchange event for integration with Milter.
| getfilename = Message.get_filename
| ismultipart = Message.is_multipart
| getheaders = Message.get_all
| gettype = Message.get_content_type
| getparam = Message.get_param

## Detailed Description

Enhance email.message.Message.

Tracks modifications to headers of body or any part independently.

    Version of email.Message.Message compatible with old mime module

## Member Function Documentation

## getnames()

mime.MimeMessage.getnames | ( |  | self,
|  |  | scan_zip = False )

    Return a list of (attr,name) pairs of attributes that IE might
       interpret as a name - and hence decide to execute this message.

References dump(), Milter.config.MilterConfigParser.get(), get_payload(), getencoding(), headerchange, modified, set_payload(), submsg, and mime.zipnames().

## Member Data Documentation

## headerchange

self.headerchange(self,name,str(value)) mime.MimeMessage.headerchange

static

Provide a headerchange event for integration with Milter.

The headerchange attribute can be assigned a function to be called when changing headers. The signature is: headerchange(msg,name,value) -> None

Referenced by getnames().

The documentation for this class was generated from the following file:

- mime.py